Subject: [Errata Rejected] RFC7231 (4224)

From: RFC Errata System <[email-masked]>
Date: Sat, 17 Jan 2015 10:14:10 -0800 (PST)

The following errata report has been rejected for RFC7231,
"Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7231&eid=4224

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Bjoern Hoehrmann <[email-masked]>
Date Reported: 2015-01-09
Rejected by: Barry Leiba (IESG)

Section: 4.1 and A. D

Original Text
-------------
     method = token

Corrected Text
--------------
     method = <method, see [RFC7230], Section 3.1.1>

Notes
-----
The HTTP/1.1 RFCs define rules imported across documents using prose rules for all rules except this one. This is an error because RFC7231 does not mean to re-define the production rule.
 --VERIFIER NOTES-- 
This is asking for an editorial change, but the errata system is not the place to record proposals for editorial improvements.  There is an issue tracker at <https://github.com/httpwg/http11bis/issues> for keeping issues for a possible future HTTP 1.1 update.

--------------------------------------
RFC7231 (draft-ietf-httpbis-p2-semantics-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications
Stream              : IETF
Verifying Party     : IESG